<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCallListTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('call_list', function (Blueprint $table) {
            $table->increments('id');
            $table->string('phone',20)->comment('电话号码');
            $table->string('ip',32)->nullable()->comment('拨打IP');
            $table->tinyInteger('sync')->comment('是否拨打：1：是；0：否');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('call_list');
    }
}
